package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type SealApplyImagesRequest struct {
	// <ext>core:true</ext> 【图片】图片 【传参】 支持的文件格式：jpg，jpeg，gif，png，tiff。
	Images []*os.File `json:"images"`
	// <ext>core:true;format:string</ext> 【印章的用印id】印章的用印id 【作用】 查询需上传照片的印章的用印 【传参】 用印申请id和印章的用印id必传其一，均传入以印章的用印id为准。
	SealAuthId *int64 `json:"sealAuthId,omitempty"`
	// <ext>core:true</ext> 【图片类型】图片类型 【传参】 取值范围：FACE（人脸），SIGNATORY（用印）；不传值默认为：SIGNATORY（用印）。
	Type_ string `json:"type,omitempty"`
	// <ext>core:true;format:string</ext> 【用印申请id】用印申请id 【作用】 查询需上传照片的用印申请 【传参】 用印申请id和印章的用印id必传其一，均传入以印章的用印id为准。
	BusinessId *int64 `json:"businessId,omitempty"`
	// <ext>core:true</ext> 【上传操作人联系方式】上传操作人联系方式 【作用】 查询用印申请中，该用户用印的印章，为此印章上传用印图片 【传参】 1、可传入用户手机号或者邮箱。 2、手机号允许使用大陆、港澳台、国际手机号，手机号格式为：区号+空格+手机号，例：852 9xxxxxxx ，大陆手机号可以不传区号。 3、邮箱需传入符合格式的字符串，例：xxxxxxxx@163.com。 4、当businessId(用印申请id)传值时，contact(上传操作人联系方式)和number（上传操作人成员编号）必传其一，均传入以contact(上传操作人联系方式)为准。
	Contact string `json:"contact,omitempty"`
	// <ext>core:true</ext> 【上传操作人成员编号】上传操作人成员编号 【作用】 查询用印申请中，该用户用印的印章，为此印章上传用印图片 【传参】 当businessId(用印申请id)传值时，contact(上传操作人联系方式)和number（上传操作人成员编号）必传其一，均传入以contact(上传操作人联系方式)为准。
	Number string `json:"number,omitempty"`
}

func (obj SealApplyImagesRequest) GetUrl() string {
	return "/seal/apply/images"
}

func (obj SealApplyImagesRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("sealAuthId", obj.SealAuthId)
	parameter.AddParam("type", obj.Type_)
	parameter.AddParam("businessId", obj.BusinessId)
	parameter.AddParam("contact", obj.Contact)
	parameter.AddParam("number", obj.Number)
	parameter.AddListFiles("images", obj.Images)
	return parameter
}
